{% extends 'generic/object.html' %}
{% load buttons %}
{% load perms %}

{% block content %}
  <div class="row mb-3">
    <div class="col col-md-6">
      <div class="card">
        <h5 class="card-header">HSTS Configurations</h5>
        <div class="card-body">
            <table class="table table-hover attr-table">
              <tr>
                <th scope="row">Mapping</th>
                <td>{{ object.hsts_protocol.mapping }}</td>
              </tr>
              <tr>
                <th scope="row">Subdomains</th>
                <td>{{ object.hsts_protocol.subdomains }}</td>
              </tr>
              <tr>
                  <th scope="row">Preload Flag</th>
                  <td>{{ object.hsts_protocol.preload_flag }}</td>
              </tr>
              <tr>
                  <th scope="row">Last time Updated</th>
                  <td>{{ object.hsts_protocol.last_updated }}</td>
              </tr>
              <tr>
                  <th scope="row">Max age (in seconds)</th>
                  <td>{{ object.hsts_protocol.max_age }}</td>
              </tr>
            </table>
        </div>
      </div>
    </div>
  </div>
  <div class="controls">
    <div class="control-group">
      {% if request.user|can_change:object.hsts_protocol %}
          {% edit_button object.hsts_protocol %}
        {% endif %}
        {% if request.user|can_delete:object.hsts_protocol %}
          {% delete_button object.hsts_protocol %}
      {% endif %}
    </div>
  </div>

{% endblock content %}
